#include <stdio.h>

int main ()
{
  int v, p, n, t;
 
 scanf("%d", &n);
  
  if(n<1)
  {
      printf("-1");
      return 0;
  }
 
    for(v=0; v<=n; v++)
    {
        for(p=0; p<=n; p++){
          printf(" ");
    }
      for(t=0; t==2*v+1; t++){
        if(t%2==1)
            printf("*"); 
          else printf("A");
      
      }}
  
  printf("\n");
  return 0;
 
  
}
  
 

